/*
 * Copyright (C) 2008-2009  Advanced Micro Devices, Inc.
 * Copyright (C) 2008-2009  Matthias Hopf
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#include "r600_id.h"

chip_t r600_chips[] = {
    { 0x9400, CHIP_TYPE_R600,   "R600: Radeon HD 2900 XT",              0 },
    { 0x9401, CHIP_TYPE_R600,   "R600: Radeon HD 2900 XT",              0 },
    { 0x9402, CHIP_TYPE_R600,   "R600: Radeon HD 2900 XT",              0 },
    { 0x9403, CHIP_TYPE_R600,   "R600: Radeon HD 2900 Pro",             0 },
    { 0x9405, CHIP_TYPE_R600,   "R600: Radeon HD 2900 GT",              0 },
    { 0x940A, CHIP_TYPE_R600,   "R600: FireGL V8650",                   0 },
    { 0x940B, CHIP_TYPE_R600,   "R600: FireGL V8600",                   0 },
    { 0x940F, CHIP_TYPE_R600,   "R600: FireGL V7600",                   0 },
    { 0x9440, CHIP_TYPE_RV770,  "RV770: Radeon 4800 Series",            0 },
    { 0x9441, CHIP_TYPE_RV770,  "RV770: Radeon 4870 X2",                0 },
    { 0x9442, CHIP_TYPE_RV770,  "RV770: Radeon 4800 Series",            0 },
    { 0x9443, CHIP_TYPE_R700,   "R700: Radeon 4800 Series",             0 },
    { 0x9444, CHIP_TYPE_RV770,  "RV770: Everest FirePro",               0 },
    { 0x9446, CHIP_TYPE_RV770,  "RV770: K2 FirePro",                    0 },
    { 0x9447, CHIP_TYPE_R700,   "R700: K2 FirePro",                     0 },
    { 0x944A, CHIP_TYPE_M98,    "M98",                                  CHIP_FLAG_MOBILITY },
    { 0x944B, CHIP_TYPE_M98,    "M98",                                  CHIP_FLAG_MOBILITY },
    { 0x944E, CHIP_TYPE_RV770,  "RV770",                                0 },
    { 0x944F, CHIP_TYPE_R700,   "R700",                                 0 },
    { 0x9456, CHIP_TYPE_RV770,  "RV770: Denali FirePro",                0 },
    { 0x945A, CHIP_TYPE_M98,    "M98",                                  CHIP_FLAG_MOBILITY },
    { 0x945B, CHIP_TYPE_M98,    "M98",                                  CHIP_FLAG_MOBILITY },
    { 0x946A, CHIP_TYPE_M98,    "M98",                                  CHIP_FLAG_MOBILITY },
    { 0x946B, CHIP_TYPE_M98,    "M98",                                  CHIP_FLAG_MOBILITY },
    { 0x947A, CHIP_TYPE_M98,    "M98",                                  CHIP_FLAG_MOBILITY },
    { 0x947B, CHIP_TYPE_M98,    "M98",                                  CHIP_FLAG_MOBILITY },
    { 0x9480, CHIP_TYPE_M96,    "M96",                                  CHIP_FLAG_MOBILITY },
    { 0x9487, CHIP_TYPE_RV730,  "RV730",                                0 },
    { 0x9488, CHIP_TYPE_M96,    "M96",                                  CHIP_FLAG_MOBILITY },
    { 0x9489, CHIP_TYPE_M96,    "M96",                                  CHIP_FLAG_MOBILITY },
    { 0x948F, CHIP_TYPE_RV730,  "RV730",                                0 },
    { 0x9487, CHIP_TYPE_RV730,  "RV730",                                0 },
    { 0x9490, CHIP_TYPE_RV730,  "RV730",                                0 },
    { 0x9498, CHIP_TYPE_RV730,  "RV730",                                0 },
    { 0x949E, CHIP_TYPE_RV730,  "RV730",                                0 },
    { 0x949F, CHIP_TYPE_RV730,  "RV730",                                0 },
    { 0x94C0, CHIP_TYPE_RV610,  "RV610",                                0 },
    { 0x94C1, CHIP_TYPE_RV610,  "RV610: Radeon HD 2400 XT",             0 },
    { 0x94C3, CHIP_TYPE_RV610,  "RV610: Radeon HD 2400 Pro",            0 },
    { 0x94C4, CHIP_TYPE_RV610,  "RV610: Radeon HD 2400 PRO AGP",        0 },
    { 0x94C5, CHIP_TYPE_RV610,  "RV610: FireGL V4000",                  0 },
    { 0x94C6, CHIP_TYPE_RV610,  "RV610",                                0 },
    { 0x94C7, CHIP_TYPE_RV610,  "RV610: Radeon HD 2350",                0 },
    { 0x94C8, CHIP_TYPE_M74,    "M74: Mobility Radeon HD 2400 XT",      CHIP_FLAG_MOBILITY },
    { 0x94C9, CHIP_TYPE_M72,    "M72: Mobility Radeon HD 2400",         CHIP_FLAG_MOBILITY },
    { 0x94CB, CHIP_TYPE_M72,    "M72: Radeon E2400",                    CHIP_FLAG_MOBILITY },
    { 0x94CC, CHIP_TYPE_RV610,  "RV610: Radeon HD 2400",                0 },
    { 0x9500, CHIP_TYPE_RV670,  "RV670",                                0 },
    { 0x9501, CHIP_TYPE_RV670,  "RV670: Radeon HD3870",                 0 },
    { 0x9504, CHIP_TYPE_M88,    "M88:  Mobility Radeon HD 3850",        CHIP_FLAG_MOBILITY },
    { 0x9505, CHIP_TYPE_RV670,  "RV670: Radeon HD3850",                 0 },
    { 0x9506, CHIP_TYPE_M88,    "M88:  Mobility Radeon HD 3850 X2",     CHIP_FLAG_MOBILITY },
    { 0x9507, CHIP_TYPE_RV670,  "RV670",                                0 },
    { 0x9508, CHIP_TYPE_M88,    "M88:  Mobility Radeon HD 3870",        CHIP_FLAG_MOBILITY },
    { 0x9509, CHIP_TYPE_M88,    "M88:  Mobility Radeon HD 3870 X2",     CHIP_FLAG_MOBILITY },
    { 0x950F, CHIP_TYPE_R680,   "R680: Radeon HD3870 X2",               0 },
    { 0x9511, CHIP_TYPE_RV670,  "RV670: FireGL V7700",                  0 },
    { 0x9515, CHIP_TYPE_RV670,  "RV670: Radeon HD 3850 AGP",            0 },
    { 0x9517, CHIP_TYPE_RV670,  "RV670: Radeon HD 3960",                0 },
    { 0x9519, CHIP_TYPE_RV670,  "RV670: FireStream 9170",               0 },
    { 0x9540, CHIP_TYPE_RV710,  "RV710",                                0 },
    { 0x9541, CHIP_TYPE_RV710,  "RV710",                                0 },
    { 0x9542, CHIP_TYPE_RV710,  "RV710",                                0 },
    { 0x954E, CHIP_TYPE_RV710,  "RV710",                                0 },
    { 0x954f, CHIP_TYPE_RV710,  "RV710",                                0 },
    { 0x9580, CHIP_TYPE_RV630,  "RV630",                                0 },
    { 0x9581, CHIP_TYPE_M76,    "M76: Mobility Radeon HD 2600",         CHIP_FLAG_MOBILITY },
    { 0x9583, CHIP_TYPE_M76,    "M76: Mobility Radeon HD 2600 XT",      CHIP_FLAG_MOBILITY },
    { 0x9586, CHIP_TYPE_RV630,  "RV630: Radeon HD 2600 XT AGP",         0 },
    { 0x9587, CHIP_TYPE_RV630,  "RV630: Radeon HD 2600 Pro AGP",        0 },
    { 0x9588, CHIP_TYPE_RV630,  "RV630: Radeon HD 2600 XT",             0 },
    { 0x9589, CHIP_TYPE_RV630,  "RV630: Radeon HD 2600 Pro",            0 },
    { 0x958A, CHIP_TYPE_RV630,  "RV630: Gemini RV630",                  0 },
    { 0x958B, CHIP_TYPE_M76,    "M76: Gemini Mobility Radeon HD 2600 XT", CHIP_FLAG_MOBILITY },
    { 0x958C, CHIP_TYPE_RV630,  "RV630: FireGL V5600",                  0 },
    { 0x958D, CHIP_TYPE_RV630,  "RV630: FireGL V3600",                  0 },
    { 0x958E, CHIP_TYPE_RV630,  "RV630: Radeon HD 2600 LE",             0 },
    { 0x958F, CHIP_TYPE_M76,    "M76: Mobility FireGL",                 CHIP_FLAG_MOBILITY },
    { 0x9590, CHIP_TYPE_RV635,  "RV635: ATI Radeon HD 3600 Series",     0 },
    { 0x9591, CHIP_TYPE_M86,    "M86: Mobility Radeon HD 3650",         CHIP_FLAG_MOBILITY },
    { 0x9593, CHIP_TYPE_M86,    "M86: Mobility Radeon HD 3670",         CHIP_FLAG_MOBILITY },
    { 0x9595, CHIP_TYPE_M86,    "M86: Mobility FireGL V5700",           CHIP_FLAG_MOBILITY },
    { 0x9596, CHIP_TYPE_RV635,  "RV635: Radeon HD 3650 AGP",            0 },
    { 0x9597, CHIP_TYPE_RV635,  "RV635: Radeon HD 3600 Series",         0 },
    { 0x9598, CHIP_TYPE_RV635,  "RV635: Radeon HD 3670",                0 },
    { 0x9599, CHIP_TYPE_RV635,  "RV635: Radeon HD 3600 Series",         0 },
    { 0x959B, CHIP_TYPE_M86,    "M86: Mobility FireGL",                 CHIP_FLAG_MOBILITY },
    { 0x95C0, CHIP_TYPE_RV620,  "RV620: Radeon HD 3470",                0 },
    { 0x95C2, CHIP_TYPE_M82,    "M82: Mobility Radeon HD 3430",         CHIP_FLAG_MOBILITY },
    { 0x95C4, CHIP_TYPE_M82,    "M82: Mobility Radeon HD 3400 Series",  CHIP_FLAG_MOBILITY },
    { 0x95C5, CHIP_TYPE_RV620,  "RV620: Radeon HD 3450",                0 },
    { 0x95C6, CHIP_TYPE_RV620,  "RV620: Radeon HD 3450",                0 },
    { 0x95C7, CHIP_TYPE_RV620,  "RV620: Radeon HD 3430",                0 },
    { 0x95CC, CHIP_TYPE_RV620,  "RV620: Fire PRO",                      0 },
    { 0x95CD, CHIP_TYPE_RV620,  "RV620: FireMV 2450",                   0 },
    { 0x95CE, CHIP_TYPE_RV620,  "RV620: FireMV 2260",                   0 },
    { 0x95CF, CHIP_TYPE_RV620,  "RV620: FireMV 2260",                   0 },
    { 0x9610, CHIP_TYPE_RS780,  "RS780: Radeon HD 3200",                0 },
    { 0x9611, CHIP_TYPE_RS780,  "RS780: Radeon 3100",                   0 },
    { 0x9612, CHIP_TYPE_RS780,  "RS780: Radeon HD 3200",                0 },
    { 0x9613, CHIP_TYPE_RS780,  "RS780: Radeon 3100",                   0 },
    { 0x9614, CHIP_TYPE_RS780,  "RS780: Radeon HD 3300",                0 },
    { 0, 0, NULL, 0 }
};
